- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6OutlineStylePacket Class Reference

`#include <WP6OutlineStylePacket.h>`

Inheritance diagram for WP6OutlineStylePacket:

## Public Member Functions
| WP6OutlineStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6OutlineStylePacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener) const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes
unsigned short | m_numPIDs
unsigned short | m_outlineHash
unsigned char | m_numberingMethods [WP6_NUM_LIST_LEVELS]
unsigned char | m_outlineFlags
unsigned char | m_tabBehaviourFlag

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6OutlineStylePacket::WP6OutlineStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6OutlineStylePacket::~WP6OutlineStylePacket | ( |  | ) |

## Member Function Documentation

void WP6OutlineStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

void WP6OutlineStylePacket::parse | ( | WP6Listener * | listener | ) | const
| virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

unsigned char WP6OutlineStylePacket::m_numberingMethods[WP6_NUM_LIST_LEVELS]
| private

Referenced by _readContents(), parse(), and WP6OutlineStylePacket().

unsigned short WP6OutlineStylePacket::m_numPIDs
| private

Referenced by _readContents().

unsigned char WP6OutlineStylePacket::m_outlineFlags
| private

Referenced by _readContents().

unsigned short WP6OutlineStylePacket::m_outlineHash
| private

Referenced by _readContents(), and parse().

unsigned char WP6OutlineStylePacket::m_tabBehaviourFlag
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP6OutlineStylePacket.h
- WP6OutlineStylePacket.cpp